{% extends 'base.html' %}

{% block content %}
    <div>
        <h1>My Tasks</h1>
        {% if task.all|length > 0 %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Start date</th>
                        <th>Due Date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for tsk in task.all %}
                        <tr>
                            <td>{{ tsk.name }}</td>
                            <td>{{ tsk.start_date }}</td>
                            <td>{{ tsk.due_date }}</td>
                            <td>{{ tsk.is_completed|yesno }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>You have no tasks</p>
        {% endif %}
    </div>
{% endblock content %}
